#include "NullAudioInterface.h"
#include "FileLogger.h"

#include "AudioSynth.h"

#include <vector>

NullAudioInterface::NullAudioInterface()
{

}

NullAudioInterface::~NullAudioInterface()
{

}

std::unique_ptr<NullAudioInterface> NullAudioInterface::Create()
{
    return std::make_unique<NullAudioInterface>();
}

void NullAudioInterface::OpenDevice(const AudioDevicePtr& device)
{

}

void NullAudioInterface::Play(const AudioDevicePtr& device)
{

}
